Summary: DOOM for Linux Consoles & X-Windows
Name: doom
Version: 1.10
Release: 7
Url:http://www.idsoftware.com/
Source: ftp://ftp.idsoftware.com/idstuff/source/doomsrc.zip
Source1: ftp://sunsite.unc.edu/pub/Linux/games/doom/musserver.tgz
Source2: doom-misc.tar.gz
Source3: ftp://sunsite.unc.edu/pub/Linux/games/doom/doom1v18.wad.gz
Source4: README.sndserver.patch
Patch: patch-220198
Patch1: doom-1.10-nosound.patch
Patch2: musserver-dainbramage.patch
Patch3: doom-noasm.patch
Patch4: patch-sndserver
Patch5: doom-null.patch
Copyright: shareware
Group: Games
Buildroot: /var/tmp/doom-buildroot

%changelog
* Tue Mar 3 1999 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
  [1.10-7]
- Rebuild for RHL 6.0
- Fix NULL pointer derefernce during shutdown.
- Add "256-color" note to description.

* Sun Nov 29 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
  [1.10-6]
- Fix patch-220198 problem with missing newline at end of Makefile
- Use buildroot and %attr.
- Include /usr/lib/games/doom directory in file list.

* Sat Apr  4 1998 Marcelo F. Vianna <m-vianna@usa.net>

- added my own patches to the sound server to support SoundBlaster
  (8bit mono) and SoundBlaster PRO (8bit stereo). Actually the 
  sources now generates 3 distinct sndserver files.

* Thu Jan 22 1998 Bill Nottingham <wen1@cec.wustl.edu>

- added i386 & M68K assembly back in
- fiddled with RPM multi-architecture options, although I don't know
  how much of DOOM works on other architectures...
- switched to using original DOOM source release - a ZIP file! Wow, this
  spec file is getting messy.

* Wed Jan 21 1998 Bill Nottingham <wen1@cec.wustl.edu>

- switched to using more universal SVGAlib & musserver support patches
- Fixed musserver brain damage

* Thu Jan  8 1998 Bill Nottingham <wen1@cec.wustl.edu>

- Fixed so running without sound actually works (-nosound option)

* Wed Jan  7 1998 Bill Nottingham <wen1@cec.wustl.edu>

- switched to using actual DOOM source code. No longer a.out only!
- Unfortunately, also not redistributable by RedHat in this form, unless
  I'm really misreading the license. Should be OK in /contrib, though.
- various changes to make default 'rundoom' setup a little safer

* Tue Sep 16 1997 Erik Troan <ewt@redhat.com>

- repackaged for 5.0

%description
DOOM is the original awesome game from ID software.  It is a first person
graphical (and very graphic!) game that runs under SVGA lib or 256-color
X Windows, and allows multiple players to play simultaneously. 
--
Now with support for 8bit sound cards, please refer to the file 
/usr/doc/doom-1.10/README.sndserver.patch for instructions after 
installation.

%prep
%setup -c -T
unzip $RPM_SOURCE_DIR/doomsrc.zip
gzip -dc linuxdoom-1.10.src.tgz | tar -xvvf -
%setup -T -a 1 -D -n doom-1.10
%setup -T -a 2 -D -n doom-1.10
zcat $RPM_SOURCE_DIR/doom1v18.wad.gz > doom1.wad
gzip -dc sndserv.tgz | tar -xvvf -
cd linuxdoom-1.10
%patch -p1
%patch1 -p1
%ifnarch i386 m68k
%patch3 -p1
%endif
cp README.book README.b README.asm README.gl README.sound TODO ChangeLog DOOMLIC.TXT ..
cd ..
cp $RPM_SOURCE_DIR/README.sndserver.patch .
%patch2 -p0
%patch4 -p0
%patch5 -p1

%build
cd linuxdoom-1.10
make
%ifarch i386
make svga
strip linux/linuxsdoom
%endif
strip linux/linuxxdoom
cd ../sndserv
make
strip linux/sndserver
cd ../musserver
make
strip musserver

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/games/doom
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/games
cp linuxdoom-1.10/linux/linuxxdoom ${RPM_BUILD_ROOT}/usr/X11R6/bin/xdoom
%ifarch i386
cp linuxdoom-1.10/linux/linuxsdoom ${RPM_BUILD_ROOT}/usr/games/sdoom
cp rundoom ${RPM_BUILD_ROOT}/usr/games/rundoom
%else
cp rundoom2 ${RPM_BUILD_ROOT}/usr/games/rundoom
%endif
cp musserver/musserver ${RPM_BUILD_ROOT}/usr/lib/games/doom/musserver
cp sndserv/linux/sndserver ${RPM_BUILD_ROOT}/usr/lib/games/doom/sndserver
cp sndserv/linux/sndserver.8bit ${RPM_BUILD_ROOT}/usr/lib/games/doom/sndserver.8bit
cp sndserv/linux/sndserver.8bitMono ${RPM_BUILD_ROOT}/usr/lib/games/doom/sndserver.8bitMono
cp doom1.wad ${RPM_BUILD_ROOT}/usr/lib/games/doom/doom1.wad

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc README.TXT README.config README.linuxx README.udoom README.book
%doc README.book README.b README.asm README.gl README.sound TODO ChangeLog DOOMLIC.TXT
%doc README.sndserver.patch
%dir /usr/lib/games/doom
%attr(755,root,root) /usr/X11R6/bin/xdoom
%ifarch i386
%attr(755,root,root) /usr/games/sdoom
%doc README.linuxs
%endif
%attr(755,root,root) /usr/games/rundoom
%attr(755,root,root) /usr/lib/games/doom/musserver
%attr(755,root,root) /usr/lib/games/doom/sndserver
%attr(755,root,root) /usr/lib/games/doom/sndserver.8bit
%attr(755,root,root) /usr/lib/games/doom/sndserver.8bitMono
%attr(644,root,root) /usr/lib/games/doom/doom1.wad
